Get a paged array of patients
curl --request GET \
--url https://api.splose.com/v1/patients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.splose.com/v1/patients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.splose.com/v1/patients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"firstname": "Harry",
"lastname": "Potter",
"id": 1,
"deletedAt": "2023-07-30T09:00:00.000Z",
"middleName": "James",
"preferredName": "Harry",
"title": "Mr.",
"email": "harry@hogwarts.edu",
"sex": "Male",
"genderIdentity": "Man",
"pronouns": "They/them",
"alert": "He knows magic",
"invoiceRecipientId": 1,
"birthdate": "1996-07-30T00:00:00.000Z",
"timezone": "Australia/Adelaide",
"extraInfo": "Some extra info",
"extraBillingInfo": "Some extra billing info",
"addressL1": "123 King William Street",
"addressL2": "",
"addressL3": "",
"city": "Adelaide",
"state": "SA",
"postalCode": "5000",
"country": "Australia",
"phoneNumbers": [
{
"phoneNumber": "401234567",
"type": "Mobile",
"code": "+61"
}
],
"privacyPolicy": "Accepted",
"ndisNumber": "430123456",
"ndisInfo": {
"diagnosis": "Foot Injury",
"nomineeEmail": "nominee@email.com",
"fundManagement": "Plan-managed",
"nomineeLastName": "Clark",
"nomineeFirstName": "Chris",
"nomineeMobileCode": "+61",
"nomineeMobileNumber": "433555111",
"startDate": "2024-02-09T00:00:00.000Z",
"endDate": "2024-02-18T00:00:00.000Z"
},
"medicareNum": "4444444444",
"irn": "1",
"veteransFileNumber": "",
"emergencyContactNumber": "0412345678",
"emergencyContactName": "Quentin Neely",
"emergencyContactRelationship": "Brother",
"communicationPreference": "SMS",
"archived": false,
"patientTags": [
"Self-managed"
],
"customFields": [
{
"name": "<string>",
"value": "<string>"
}
],
"healthFund": {
"name": "AHM",
"membershipNumber": "12345678",
"patientNumber": "1",
"cardIssueNumber": "01"
},
"createdAt": "2023-07-30T09:00:00.000Z",
"updatedAt": "2023-07-30T09:00:00.000Z"
}
],
"links": {
"previousPage": "/v1/${object_type}?id_gt=200",
"nextPage": "/v1/${object_type}?id_lt=100"
}
}Patient
Get a paged array of patients
Get a paged array of patients
Get a paged array of patients
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The starting object id of the next page
Example:
200
The starting object id of the previous page
Example:
100
Search for objects updated after this date time
Example:
"2023-07-30T09:00:00.000Z"
Search for objects updated before this date time
Example:
"2023-07-30T09:00:00.000Z"
Whether archived objects should be retrieved, default is false
Available options:
true, false Required array length:
1 - 100 elementsRequired range:
x > 0Patient firstname
Example:
"Harry"
Patient lastname
Example:
"Potter"
Patient email
Example:
"harry@hogwarts.edu"
Patient birth date in YYYY-MM-DD format
Example:
"1990-01-01T00:00:00.000Z"
Patient phone number without country code
Example:
"0412345678"
Patient tag
Example:
"Self-managed"